List all asset groups
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/asset-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/asset-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/asset-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"type": "location",
"network": {
"id": "<string>"
},
"sitePartners": [
{
"id": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"location": {
"name": "<string>",
"visibility": "EMPLOYEE_ONLY",
"contactDetails": {
"phone": "<string>",
"email": "jsmith@example.com",
"website": "<string>",
"facebook": "<string>",
"linkedIn": "<string>"
},
"businessType": "HOTEL",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"hours": {
"twentyfourseven": true,
"regularHours": [
{
"weekday": 123,
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalOpenings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
],
"exceptionalClosings": [
{
"periodBegin": "<string>",
"periodEnd": "<string>"
}
]
},
"geoLocation": {
"longitude": 0,
"latitude": 0
},
"timezone": "<string>",
"allowChargingWhenClosed": true,
"taxConfig": {
"totalPercentSalesTax": 123,
"energyPerKwhExciseTax": 123
},
"openingDate": "2023-11-07T05:31:56Z",
"images": [
{
"url": "<string>",
"category": "<string>",
"imgType": "<string>",
"thumbnail": "<string>"
}
],
"directionHint": "<string>",
"parkingType": "PARKING_GARAGE",
"amenities": [
"<string>"
],
"visibilityNote": "<string>",
"industryVertical": "RETAIL_AND_HOSPITALITY"
},
"metadata": {}
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Asset Groups
List all asset groups
This endpoint retrieves a list of all asset-groups
GET
/
asset-management
/
v1
/
asset-groups
List all asset groups
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of asset groups to return (default 20, maximum 100)
Pattern:
^[0-9][0-9]?$|^100$The ID of the last asset group in the previous page of results. Results will start after this asset group
A comma-separated list of asset group IDs to filter the results
When 'true', archived (deleted) asset groups are included. Defaults to excluding them.
Available options:
true, false Response
A list of asset groups
Show child attributes
Show child attributes